curl -X DELETE https://api.kwugwo.africa/v1/onye/ony.VCvr.7K2qPmRtV9xLnQ8sD1cYwHfE \
-H "Authorization: Bearer $KWUGWO_SECRET_KEY"
await fetch(`https://api.kwugwo.africa/v1/onye/${onyeUid}`, {
method: "DELETE",
headers: { Authorization: `Bearer ${process.env.KWUGWO_SECRET_KEY}` },
});
<?php
$ch = curl_init("https://api.kwugwo.africa/v1/onye/{$onyeUid}");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'DELETE',
CURLOPT_HTTPHEADER => ['Authorization: Bearer ' . getenv('KWUGWO_SECRET_KEY')],
]);
curl_exec($ch);
curl_close($ch);
import os, requests
requests.delete(
f"https://api.kwugwo.africa/v1/onye/{onye_uid}",
headers={"Authorization": f"Bearer {os.environ['KWUGWO_SECRET_KEY']}"},
)
url := fmt.Sprintf("https://api.kwugwo.africa/v1/onye/%s", onyeUid)
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Set("Authorization", "Bearer "+os.Getenv("KWUGWO_SECRET_KEY"))
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
{
"uid": "ony.VCvr.7K2qPmRtV9xLnQ8sD1cYwHfE",
"email": "ada@example.com",
"first_name": "Adaeze",
"last_name": "Okeke"
}
Customers (Onye)
Delete a customer
Soft-delete a customer record.
DELETE
/
v1
/
onye
/
{uid}
curl -X DELETE https://api.kwugwo.africa/v1/onye/ony.VCvr.7K2qPmRtV9xLnQ8sD1cYwHfE \
-H "Authorization: Bearer $KWUGWO_SECRET_KEY"
await fetch(`https://api.kwugwo.africa/v1/onye/${onyeUid}`, {
method: "DELETE",
headers: { Authorization: `Bearer ${process.env.KWUGWO_SECRET_KEY}` },
});
<?php
$ch = curl_init("https://api.kwugwo.africa/v1/onye/{$onyeUid}");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'DELETE',
CURLOPT_HTTPHEADER => ['Authorization: Bearer ' . getenv('KWUGWO_SECRET_KEY')],
]);
curl_exec($ch);
curl_close($ch);
import os, requests
requests.delete(
f"https://api.kwugwo.africa/v1/onye/{onye_uid}",
headers={"Authorization": f"Bearer {os.environ['KWUGWO_SECRET_KEY']}"},
)
url := fmt.Sprintf("https://api.kwugwo.africa/v1/onye/%s", onyeUid)
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Set("Authorization", "Bearer "+os.Getenv("KWUGWO_SECRET_KEY"))
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
{
"uid": "ony.VCvr.7K2qPmRtV9xLnQ8sD1cYwHfE",
"email": "ada@example.com",
"first_name": "Adaeze",
"last_name": "Okeke"
}
Removes the customer from this workspace’s active list. Any ugwos
already attached to the customer keep their reference for reporting,
but the customer will not appear in list or be
fetchable by ID afterwards.
Path parameters
Customer ID,
ony.XXXX.YYYY....Response
Returns the deleted customer (the snapshot from just before deletion).curl -X DELETE https://api.kwugwo.africa/v1/onye/ony.VCvr.7K2qPmRtV9xLnQ8sD1cYwHfE \
-H "Authorization: Bearer $KWUGWO_SECRET_KEY"
await fetch(`https://api.kwugwo.africa/v1/onye/${onyeUid}`, {
method: "DELETE",
headers: { Authorization: `Bearer ${process.env.KWUGWO_SECRET_KEY}` },
});
<?php
$ch = curl_init("https://api.kwugwo.africa/v1/onye/{$onyeUid}");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'DELETE',
CURLOPT_HTTPHEADER => ['Authorization: Bearer ' . getenv('KWUGWO_SECRET_KEY')],
]);
curl_exec($ch);
curl_close($ch);
import os, requests
requests.delete(
f"https://api.kwugwo.africa/v1/onye/{onye_uid}",
headers={"Authorization": f"Bearer {os.environ['KWUGWO_SECRET_KEY']}"},
)
url := fmt.Sprintf("https://api.kwugwo.africa/v1/onye/%s", onyeUid)
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Set("Authorization", "Bearer "+os.Getenv("KWUGWO_SECRET_KEY"))
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
{
"uid": "ony.VCvr.7K2qPmRtV9xLnQ8sD1cYwHfE",
"email": "ada@example.com",
"first_name": "Adaeze",
"last_name": "Okeke"
}
⌘I

